Subject: Emacs 24.3.1 GDB Commands Glitch

From: Ross Biro <[email-masked]>
Date: Sat, 13 Jun 2015 16:22:54 -0400

This is in an older version, but I couldn't find it in the bug database, so
I thought I'd report it.

In Emacs 24.3.1 if you enter gdb mode and set a break point.
then type

command

instead of commands [notice the lack of the s], gdb autocompletes to
command, but emacs does not recognize it.  So typing

end

does not work.  The only way I could find to exit commands mode was to kill
the buffer ending my debugging session.

Expected: "command" should work the same as "commands", or fail entirely.

    Ross